<script setup lang="ts">
defineProps({
  scale: {
    type: Number,
    default: 1,
  },
});
</script>

<template>
  <span
    class="flex flex-col justify-center px-4 text-center"
    :style="{ scale }"
  >
    <h3 id="logo" class="text-theme-accent font-bold">Whiskey</h3>
  </span>
</template>

<style scoped>
#logo {
  font-family: Delinda-Agatha, cursive;
  font-size: 30px;
  /*scale: 1.8;*/
  transform: translateY(1px);
  color: var(--theme-accent);
}
</style>

<style>
@font-face {
  font-family: "Delinda-Agatha";
  src: local("Delinda-Agatha"),
    url(@/assets/Delinda-Agatha.ttf) format("truetype");
}
</style>
